'use strict';
var koa = require('koa');
var route = require('koa-route');
var Validator = require('../index').Validator;
var bouncer = require('../index');
console.log(bouncer);
var app = koa();
app.use(require('koa-body')());
app.use(bouncer.middleware());

var catchBouncer = function*(next) {
  try {
    yield* next;
  } catch(err) {
    if (err instanceof bouncer.ValidationError) {
      console.log(err);
      throw err;
      return;
    }
    throw err;
  }
};

app.use(route.get('/test', function*() {
  this.validateQuery('uname')
    .try(() => {
      this.assert(false, 403);
    })
  this.body = 'ok'
}));

var port = process.env.PORT || 3001;
app.listen(port);
console.log('Listening on', port);
